Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Juri Linkov <[email-masked]>
Date: Fri, 29 Apr 2022 20:13:24 +0300

>> 1. I use `mouse-1-click-follows-link' = nil.  (I use `mouse-2', not
>>    `mouse-1', to follow clicked links, buttons, etc.)  But this
>>    setting seems to have no effect in buffer `*xref*'.
>>
>>    Except by clicking on a file line (it seems), I find it impossible
>>    to click `mouse-1' without having Emacs follow a link; impossible
>>    to set point in the buffer using `mouse-1'; no way to just click
>>    buffer text to select its frame.  What's that all about? 
>
> I've now fixed this in Emacs 29.

It seems this is unnecessary:

    (when mouse-1-click-follows-link
      (define-key map [mouse-1] #'xref-goto-xref))

because `[follow-link]' takes care about handling `mouse-1-click-follows-link'.